class Manifest {
    static id = "test"
    static pkg_name = "test"
    static version = "0.0.1"
    static description = "Testing the new manifest v2 on RS-Relic"
    static license = "unlicensed"

    static useLib = ["path", "open"]

    static git_remote = "https://git.ragestudio.net/srgooglo/Relic-ManifestV2-test"

    installSteps = [
        {
            type: "git_clone",
            url: Manifest.git_remote,
        },
        {
            type: "http_file",
            url: "https://storage.ragestudio.net/geoless/G11.flac"
        }
    ]

    async execute() {
        const target = Lib.path.resolve(install_path, "./data/music.mp3")

        Lib.open.spawn(target)
    }

    async initialize() {
        Log.info("Initializing...")
        Log.info(`Im am running on a host ${os_string} [${arch}] [${install_path}]`)
    }
}